BST SOURCE PUSH(1)

NAME
bst-source-push - Push sources in a pipeline

SYNOPSIS
bst source push [OPTIONS] [ELEMENTS]...

DESCRIPTION
Push sources required to build the pipeline

    Specifying no elements will result in pushing the sources of the default
    targets of the project. If no default targets are configured, sources of
    all project elements will be pushed.

    When this command is executed from a workspace directory, the default
    is to push the sources of the workspace element.

    By default this will only try to push sources for the specified
    elements.

    Specify `--deps` to control which sources to fetch:

        none: No dependencies, just the element itself
        run: Runtime dependencies, including the element itself
        build: Build time dependencies, excluding the element itself
        all: All dependencies

OPTIONS

--except PATH
    Except certain dependencies from pushing

-d, --deps [none|build|run|all]
    The dependencies to push [default: none]

--source-remote REMOTE
    A remote for uploading sources

--ignore-project-source-remotes
    Ignore remote source cache servers recommended by projects